summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatt Turner <mattst88@gentoo.org>2020-12-01 12:56:35 -0500
committerMatt Turner <mattst88@gentoo.org>2020-12-01 13:04:58 -0500
commit5fb83d0a5b8ba540a803e9f97c192752aa0f0e42 (patch)
treed0c969551abaea87529a1bb3c12d55881554aa36
parentdev-python/pytest-xdist: fix tests with setuptools>49 (diff)
downloadgentoo-5fb83d0a5b8ba540a803e9f97c192752aa0f0e42.tar.gz
gentoo-5fb83d0a5b8ba540a803e9f97c192752aa0f0e42.tar.bz2
gentoo-5fb83d0a5b8ba540a803e9f97c192752aa0f0e42.zip
x11-base/xorg-server: Drop IUSE=libglvnd
Signed-off-by: Matt Turner <mattst88@gentoo.org>
-rw-r--r--x11-base/xorg-server/xorg-server-9999.ebuild22
1 files changed, 5 insertions, 17 deletions
diff --git a/x11-base/xorg-server/xorg-server-9999.ebuild b/x11-base/xorg-server/xorg-server-9999.ebuild
index e6b07abb3bb..ed1a5f6c51e 100644
--- a/x11-base/xorg-server/xorg-server-9999.ebuild
+++ b/x11-base/xorg-server/xorg-server-9999.ebuild
@@ -15,14 +15,10 @@ if [[ ${PV} != 9999* ]]; then
fi
IUSE_SERVERS="dmx kdrive wayland xephyr xnest xorg xvfb"
-IUSE="${IUSE_SERVERS} debug +elogind ipv6 libressl +libglvnd minimal selinux suid systemd +udev unwind xcsecurity"
+IUSE="${IUSE_SERVERS} debug +elogind ipv6 libressl minimal selinux suid systemd +udev unwind xcsecurity"
-CDEPEND="libglvnd? (
- media-libs/libglvnd[X]
- !app-eselect/eselect-opengl
- !!x11-drivers/nvidia-drivers[-libglvnd(-)]
- )
- !libglvnd? ( >=app-eselect/eselect-opengl-1.3.0 )
+CDEPEND="
+ media-libs/libglvnd[X]
!libressl? ( dev-libs/openssl:0= )
libressl? ( dev-libs/libressl:0= )
>=x11-apps/iceauth-1.0.2
@@ -88,7 +84,8 @@ CDEPEND="libglvnd? (
sys-auth/elogind[pam]
sys-auth/pambase[elogind]
)
- "
+ !!x11-drivers/nvidia-drivers[-libglvnd(-)]
+"
DEPEND="${CDEPEND}
sys-devel/flex
@@ -212,15 +209,6 @@ src_install() {
find "${ED}"/var -type d -empty -delete || die
}
-pkg_postinst() {
- if ! use minimal; then
- # sets up libGL and DRI2 symlinks if needed (ie, on a fresh install)
- if ! use libglvnd; then
- eselect opengl set xorg-x11 --use-old
- fi
- fi
-}
-
pkg_postrm() {
# Get rid of module dir to ensure opengl-update works properly
if [[ -z ${REPLACED_BY_VERSION} && -e ${EROOT}/usr/$(get_libdir)/xorg/modules ]]; then